Bug 22661 - Xircom credit card Ethernet card doesn't work
Summary: Xircom credit card Ethernet card doesn't work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-21 12:29 UTC by Tim Waugh
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 19:09:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-12-21 12:29:29 UTC
Although the installer asked me whether or not I wanted to use DHCP (I do),
the running kernel thinks that it's 'anonymous memory'.

Comment 1 Tim Waugh 2000-12-21 12:49:54 UTC
More info: It's got the following modules loaded:

ds
i82365
pcmcia_core

/var/run/stab contains:

Socket 0: Anonymous Memory
Socket 1: Anonymous Memory

(one is a Xircom credit card modem, the other a Xircom credit card Ethernet
adapter)

When I manually load xirc2ps_cs, it just logs:

xirc2ps_cs.c 1.31 1998/12/09 19:32:55 (dd9jn+kvh)

and ifconfig eth0 <anything> fails with 'No such device'.

Even stranger: this _works_ when I boot with 'linux rescue', and the xirc2ps_cs
module is loaded automatically.


Comment 2 Tim Waugh 2000-12-21 16:24:13 UTC
Now I've tried:

2.4.0-0.43.6BOOT (in rescue environment): works fine
2.4.0-0.43.6: doesn't work (anonymous memory)
2.4.0-0.43.9: doesn't work (anonymous memory)
2.4.0-test13-pre3: doesn't work (RequestIRQ failed)
2.4.0-test13pre3-ac3: doesn't work (RequestIRQ failed)
2.2.17-9: doesn't work (RequestIRQ failed)
2.2.16-22xirchangfix (2.2.16-22 plus an unrelated one-line fix I made): works
fine


Comment 3 Tim Waugh 2000-12-21 19:09:31 UTC
Installed pcmcia-cs-3.1.23, and now it works.

Comment 4 Bill Nottingham 2001-01-19 07:17:12 UTC
OK, marking fixed in rawhide (rawhide contains 3.1.23).


Note You need to log in before you can comment on or make changes to this bug.